lib64ncursesw6-6.0-8.1.mga6.x86_64.rpm


Advertisement

Description

lib64ncursesw6 - Ncurses libraries which support UTF8

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates x86_64
Package filename lib64ncursesw6-6.0-8.1.mga6.x86_64.rpm
Package name lib64ncursesw6
Package version 6.0
Package release 8.1.mga6
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.gnu.org/software/ncurses/ncurses.html
License MIT
Maintainer -
Download size 170.93 KB
Installed size 453.31 KB
The curses library routines are a terminal-independent method of updating
character screens with reasonalble optimization. The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.
This package contains ncurses libraries which support wide char (UTF8),
and is not compatible with those without.

Alternatives

Package Version Architecture Repository
lib64ncursesw6-6.0-8.3.mga6.x86_64.rpm 6.0 x86_64 Mageia Core Updates
lib64ncursesw6-6.0-8.mga6.x86_64.rpm 6.0 x86_64 Mageia Core
lib64ncursesw6 - - -

Requires

Name Value
filesystem >= 2.1.9-18
ld-linux-x86-64.so.2()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libformw.so.6()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libmenuw.so.6()(64bit) -
libncursesw.so.6()(64bit) -
libpanelw.so.6()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libtinfo.so.6()(64bit) -

Provides

Name Value
lib64ncursesw6 == 6.0-8.1.mga6
lib64ncursesw6(x86-64) == 6.0-8.1.mga6
libformw.so.6()(64bit) -
libmenuw.so.6()(64bit) -
libncurses++w.so.6()(64bit) -
libncursesw.so.6()(64bit) -
libpanelw.so.6()(64bit) -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64ncursesw6-6.0-8.1.mga6.x86_64.rpm
Source Package ncurses-6.0-8.1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64ncursesw6 rpm package:
    # urpmi lib64ncursesw6

Files

Path
/usr/lib64/libformw.so.6
/usr/lib64/libformw.so.6.0
/usr/lib64/libmenuw.so.6
/usr/lib64/libmenuw.so.6.0
/usr/lib64/libncurses++w.so.6
/usr/lib64/libncurses++w.so.6.0
/usr/lib64/libncursesw.so.6
/usr/lib64/libncursesw.so.6.0
/usr/lib64/libpanelw.so.6
/usr/lib64/libpanelw.so.6.0

Changelog

2017-12-29 - luigiwalser <luigiwalser> 6.0-8.1.mga6
+ Revision: 1187371
- 6.0-20171223 (fixes several security issues, mga#21197)
2017-01-13 - luigiwalser <luigiwalser> 6.0-8.mga6
+ Revision: 1081257
- drop circular requires on ncurses from libs, which causes scriplet errors during installation
2016-11-11 - luigiwalser <luigiwalser> 6.0-7.mga6
+ Revision: 1066560
- 6.0-20161105
2016-08-13 - wally <wally> 6.0-6.mga6
+ Revision: 1046302
- move xterm-256color to main ncurses pkg
2016-05-09 - luigiwalser <luigiwalser> 6.0-5.mga6
+ Revision: 1011526
- 6.0-20160507
2016-04-04 - eatdirt <eatdirt> 6.0-4.mga6
+ Revision: 998378
- Update rxvt terminfo to support rxvt-unicode 9.22
2016-02-15 - luigiwalser <luigiwalser> 6.0-3.mga6
+ Revision: 961683
- 6.0-20160213
- add patch from fedora to make installed ncurses.h compatible with
narrow-char libncurses (rhbz#1270534)
2016-01-16 - luigiwalser <luigiwalser> 6.0-2.mga6
+ Revision: 923449
- build both abi 5 and abi 6 libraries
2016-01-15 - luigiwalser <luigiwalser> 6.0-1.mga6
+ Revision: 923412
- 6.0-20160102
- update patch 11 from fedora
- just build abi version 5 for now
2015-08-22 - tmb <tmb> 5.9-24.mga6
+ Revision: 868104
- update to 20141206 patchset
- rebuild for new gcc

See Also

Package Description
lib64ndpi-devel-1.8.0-1.mga6.x86_64.rpm Header files and libraries for developing applications for nDPI
lib64ndpi2-1.8.0-1.mga6.x86_64.rpm Open source deep packet inspection library
lib64net-snmp-devel-5.7.3-4.1.mga6.x86_64.rpm The development environment for the NET-SNMP project
lib64net-snmp-static-devel-5.7.3-4.1.mga6.x86_64.rpm The static development libraries for the NET-SNMP project
lib64net-snmp30-5.7.3-4.1.mga6.x86_64.rpm Libraries for Network management (SNMP), from the NET-SNMP project
lib64netatalk-devel-3.1.12-1.1.mga6.x86_64.rpm Developements headers for netatalk
lib64netatalk18-3.1.12-1.1.mga6.x86_64.rpm Runtime Library needed by netatalk
lib64netpbm-devel-10.73.07-1.1.mga6.x86_64.rpm Development tools for programs which will use the netpbm libraries
lib64netpbm11-10.73.07-1.1.mga6.x86_64.rpm A library for handling different graphics file formats
lib64nettle-devel-3.4.1-1.mga6.x86_64.rpm Header files for compiling against Nettle library
lib64nettle6-3.4.1-1.mga6.x86_64.rpm Nettle shared library
lib64networkmanager-gir1.0-1.8.6-1.mga6.x86_64.rpm GObject Introspection interface library for NetworkManager
lib64networkmanager-qt-devel-5.42.0-1.mga6.x86_64.rpm Devel stuff for networkmanager-qt
lib64nextcloud-client-devel-2.3.2-1.mga6.x86_64.rpm Development files for nextcloud-client
lib64nextcloud-client-devel-2.5.0-2.mga6.x86_64.rpm Development files for nextcloud-client
Advertisement
Advertisement